Developers
V1PlatformMerchant applicationsIdDecision

/v1/platform/merchant-applications/{id}/decision

POST
/v1/platform/merchant-applications/{id}/decision

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/platform/merchant-applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/decision" \  -H "Content-Type: application/json" \  -d '{    "decision": "approve"  }'
{  "application": {    "displayName": "string",    "legalName": "string",    "ssmRegistrationNumber": "string",    "ssmPending": true,    "offering": "product",    "contactName": "string",    "email": "string",    "phone": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "submitted",    "createdAt": "2019-08-24T14:15:22Z",    "reviewedAt": "2019-08-24T14:15:22Z",    "reason": "string",    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0"  },  "delivery": "not_sent"}